> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification Update Preferences

> Updates the caller role in-app flag and email frequency, syncing the legacy receiveNotificationEmails boolean.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/notification-update-preferences
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/notification-update-preferences:
    post:
      operationId: notificationUpdatePreferences
      summary: Notification Update Preferences
      description: >-
        Updates the caller role in-app flag and email frequency, syncing the
        legacy receiveNotificationEmails boolean.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationUpdatePreferencesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationUpdatePreferencesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    NotificationUpdatePreferencesRequest:
      type: object
      properties:
        receiveInAppNotifications:
          type: boolean
        notificationEmailFrequency:
          type: string
          enum:
            - 'OFF'
            - IMMEDIATE
            - DAILY
        receiveSlackNotifications:
          type: boolean
    NotificationUpdatePreferencesResponse:
      type: object
      properties:
        receiveInAppNotifications:
          type: boolean
        notificationEmailFrequency:
          type: string
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
